帖子
获取引用
GET /v1/tweets/{tweet_id}/quotes reads 2 额度
引用某条帖子的帖子,最新在前。
查询参数
| 查询参数 | 类型 | 含义 |
|---|---|---|
count | int 1–100 = 20 | 请求的页大小;X 仅作参考 |
cursor | string | 来自上一页的 next_cursor |
响应
帖子 id、引用它的帖子(每条在 quoted 下携带原帖),以及下一页的游标(到底时为 null)。未知的帖子返回空列表且无游标。
状态: 200, 422, 429, 502
请求
curl https://api.xsignalfeed.com/v1/tweets/2099875660290228642/quotes?count=20 \ -H "Authorization: Bearer xsf_your_key"
响应 · 200 / 422
{
"tweet_id": "2099875660290228642",
"tweets": [
{
"id": 2100417625486664137,
"created_ms": 1789613560445,
"user_id": 1234567890,
"user": "…",
"name": "…",
"text": "Gotta look into this soon. Anyone built important workfl…",
"lang": "en",
"reply_to": null,
"reply_to_status_id": null,
"reply_to_user_id": null,
"conversation_id": "2100417625486664137",
"is_rt": false,
"rt_of": null,
"is_quote": true,
"quoted": {
"id": "2099875660290228642",
"user": "elonmusk",
"name": "Elon Musk",
"user_id": "44196397",
"text": "Live demo of building a company with @Grok @Bot!",
"media": [],
"media_items": [],
"created_ms": 1789484345873,
"url": "https://x.com/elonmusk/status/2099875660290228642"
},
"media": [],
"media_items": [],
"urls": [],
"views": "20",
"counts": {
"reply": 1,
"rt": 0,
"like": 1,
"quote": 0,
"bookmark": 0
},
"source": "<a href=\"http://twitter.com/download/iphone\" rel=\"nofollow\">Twitter for iPhone</a>"
},
{
"…": "…"
}
],
"next_cursor": "DAADDAABCgABHSYus68aIckKAAIdJSBm_1cRsAAIAAIAAAACCAADAAAAAAgABAAAAAAKAAUdJjaYuUAnEAoABh0mNpi5P9jwCwAHAAAA8EVtUEM2d0FBQWZRL2dHSk4wdkdwL0FBQUFCUWRKaTMzejljQThSMGxvMUE3RjlCT0hTWVMxRHNYTWJJZEpUNkpFdHR4OXgwbGlVZjRGaEF2SFNZQ0FDelhnUllkSmdwLzZ0YlF6eDBscTdKTDJ4QmxIU1g1K01zWEFGa2RKVEhJUzV1Z3JSMG1Bb2w2MXBBVkhTVmFCTUhYb09JZEpkcjhZbGF3YkIwbUxyT3ZHaUhKSFNYMU9CZ1hzSGtkSlNCbS8xY1JzQjBsT1dvckZ2SFlIU1lWcHBUWGtJSWRKVlh3M0pxUUp4MG1CSm5RVmpCMgAA"
}